(function() {
	var mineJiuZhenDialogForm = {
		// 新增接口权限
		satisfaction: function(id) {
			top.layer.open({
				type: 2,
				title: '满意度调查',
				shadeClose: false,
				closeBtn: true, //显示关闭按钮
				area: ['500px','714px'],
				btn: [], //按钮
				content: '../../../page/mineJiuZhen/html/satisfaction.html', //iframe的url
				end: function() {
					location.reload();
				}
			});
		},

		// 取消预约
		cancelAppointment: function(id) {
			return new Promise(function(resolve, reject) {
				var layerid = top.layer.confirm('<div><h3 class="c-t-center mt10">是否确认取消预约？</h3><div class="quxiaobox">取消须知：<div class="c-909090">XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX</div></div></div>', {
					title: '取消预约',
					area: ['500px', '370px'],
					btn: ['确定', '取消'] //按钮
				}, function() {
					//					agentAPI.delCompany({
					//						id: companyId
					//					}).then(function(res) {
					//						if(res.successMsg == "find success") {
					//							top.toastr.success("删除成功！")
					//						} else {
					//							top.toastr.error("删除失败！")
					//						}
					//						resolve(layerid)
					//					})
					resolve(layerid)
				}, function() {

				});
			})
		},
	}

	window.mineJiuZhenDialogForm = mineJiuZhenDialogForm
})()